# $Revision: 1.34 $, $Date: 2008/07/27 22:53:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Paw
Summary:	Paw Perl module
Summary(cs.UTF-8):	Modul Paw pro Perl
Summary(da.UTF-8):	Perlmodul Paw
Summary(de.UTF-8):	Paw Perl Modul
Summary(es.UTF-8):	Módulo de Perl Paw
Summary(fr.UTF-8):	Module Perl Paw
Summary(it.UTF-8):	Modulo di Perl Paw
Summary(ja.UTF-8):	Paw Perl モジュール
Summary(ko.UTF-8):	Paw 펄 모줄
Summary(nb.UTF-8):	Perlmodul Paw
Summary(pl.UTF-8):	Moduł Perla Paw
Summary(pt.UTF-8):	Módulo de Perl Paw
Summary(pt_BR.UTF-8):	Módulo Perl Paw
Summary(ru.UTF-8):	Модуль для Perl Paw
Summary(sv.UTF-8):	Paw Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Paw
Summary(zh_CN.UTF-8):	Paw Perl 模块
Name:		perl-Paw
Version:	0.54
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/U/UG/UGANSERT/%{pnam}-%{version}.tar.gz
# Source0-md5:	1bdc9ec343614dc345f8c602f716f777
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Curses
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
Perl Paw modules.

%description -l pl.UTF-8
Moduł Perla Paw.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_mandir}/{,de/}man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -f Paw/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/Paw/examples

cd $RPM_BUILD_ROOT%{perl_vendorlib}/Paw
mv Paw-de.pod Paw.pod
pod2man --section=3pm Paw.pod >$RPM_BUILD_ROOT%{_mandir}/de/man3/Paw.3pm
rm -f Paw.pod

for i in *-de.pod; do
	n=`echo $i | sed 's/-de\.pod$//'`
	mv $i $n.pod
	pod2man --section=3pm $n.pod >$RPM_BUILD_ROOT%{_mandir}/de/man3/Paw::$n.3pm
done
rm -f *.pod

for i in *.pm; do
	if grep '^=head' $i >/dev/null; then
		n=`echo $i | sed 's/\.pm$//'`
		pod2man --section=3pm $i >$RPM_BUILD_ROOT%{_mandir}/man3/Paw::$n.3pm
	fi
done

cd ..
pod2man --section=3pm Paw.pm >$RPM_BUILD_ROOT%{_mandir}/man3/Paw.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes.txt
%dir %{perl_vendorlib}/Paw
%{perl_vendorlib}/Paw/*.pm
%{perl_vendorlib}/Paw.pm
%{_mandir}/man3/*
%lang(de) %{_mandir}/de/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Paw.spec,v $
Revision 1.34  2008/07/27 22:53:34  arekm
- release 2

Revision 1.33  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.31  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.30  2004/11/03 22:30:39  paladine
- formatting

Revision 1.29  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.28  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.27  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.26  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.25  2004/05/05 13:43:12  ankry
- just GPL

Revision 1.24  2004/04/22 20:11:14  agaran
- added %{__make} tests with bcond
- licence is correct, cleaned a bit unpacked files warnings

Revision 1.23  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.22  2003/09/18 13:20:38  adamg
- updated to 0.54

Revision 1.21  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.20  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/03/01 20:22:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.15  2003/02/18 15:37:38  ankry
- massive attack: change CPAN URLs

Revision 1.14  2002/07/25 23:01:26  ankry
- added forgotten %%lang

Revision 1.13  2002/07/25 22:26:14  ankry
- translations, cleaning
- generate manpages, remove .pod files
- fixed permissions
- release 4

Revision 1.12  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.11  2002/04/24 22:08:55  ankry
- added Date in header

Revision 1.10  2002/03/03 22:13:25  marcus
- rel.3.

Revision 1.9  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/12 01:34:43  kloczek
- release 2.

Revision 1.7  2002/02/10 15:41:12  depesz
adapterized

Revision 1.6  2002/02/09 13:45:52  depesz
wrong path

Revision 1.5  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.4  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/08/14 03:23:18  agaran
added buildreq perl-Curses

Revision 1.2  2001/07/30 15:58:15  kloczek
- cosmetics.

Revision 1.1  2001/07/30 13:12:20  waszi
- added
